Bug 1597350 - Switch User is missing in System Menu
Summary: Switch User is missing in System Menu
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: accountsservice
Version: 7.6
Hardware: All
OS: Linux
high
high
Target Milestone: alpha
: ---
Assignee: Ray Strode [halfline]
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1653263
TreeView+ depends on / blocked
 
Reported: 2018-07-02 17:23 UTC by Jiri Koten
Modified: 2018-11-26 12:05 UTC (History)
2 users (show)

Fixed In Version: accountsservice-0.6.50-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1653263 (view as bug list)
Environment:
Last Closed: 2018-10-30 10:27:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
FreeDesktop.org 107298 0 None None None 2018-07-19 17:25:33 UTC
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:27:56 UTC

Description Jiri Koten 2018-07-02 17:23:43 UTC
Description of problem:
After user logs in, there is only Logout option in System Menu. The Switch User shows up only after the session is Locked.


Version-Release number of selected component (if applicable):
gnome-session-3.28.1-2.el7
gdm-3.28.2-5.el7
accountsservice-0.6.49-1.el7

How reproducible:
100%

Steps to Reproduce:
1. Have multiple users available
2. Login to user session
3. Go to System Menu -> Username submenu

Actual results:
'Switch User' is missing. 

Expected results:
'Switch User' is present right after the session starts.

Additional info:

Comment 2 Jiri Koten 2018-07-02 17:32:27 UTC
Could be related to rhbz#1597353.

Comment 3 Ray Strode [halfline] 2018-07-19 17:17:48 UTC
This should fix it.

Seems to be > and >= confusion:

@@ -2384,3 +2384,3 @@ maybe_set_is_loaded (ActUserManager *manager)
          */
-        if (manager->priv->seat.state >= ACT_USER_MANAGER_SEAT_STATE_GET_ID) {
+        if (manager->priv->seat.state > ACT_USER_MANAGER_SEAT_STATE_GET_ID) {
                 g_debug ("ActUserManager: Seat loaded, so now setting loaded property")

Comment 5 Jiri Koten 2018-07-20 13:48:35 UTC
accountsservice-0.6.50-2.el7.x86_64

Comment 7 errata-xmlrpc 2018-10-30 10:27:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.